KDEINIT4(8)

NAME
kdeinit4 - Start all other KDE programs and kdeinit loadable modules (KLMs).

RESUMO

kdeinit4 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programas] | [programas]]

DESCRICIóN

kdeinit4 é un lanzador de procesos semellantes ao famoso init do arrinque de UNIX. Executa programas de KDE e módulos cargábeis por kdeinit (KLM) iniciándoos dun xeito máis eficiente.

Usar kdeinit4 para iniciar programas de KDE fai que o inicio dun programa típico de KDE sexa o dobre de rápido e reduce significativamente o consumo de memoria.

kdeinit4 está ligado con todas a bibliotecas precisas polos programas estándar de KDE. Con esta técnica o inicio dos programas é moito máis rápido porque só fai falla ligar o programa en si mentres que noutro caso tanto o programa como as bibliotecas que use deberían ligarse.

DESVANTAXES

O nome do proceso dos programas iniciados mediante kdeinit4 é «kdeinit4». Este problema pode corrixirse en parte cambiando o nome do programa que se mostra con ps. Porén, programas como killall só han ver o nome do proceso como kdeinit4. Para arranxar isto, use kdekillall (de kdesdk/scripts) para os programas iniciados mediante kdeinit4.

OPCIóNS

--help
    Mostrar axuda acerca das opcións

--no-fork
    Non fai un fork, isto é, non sae até que acaben todos os programas executados

--no-kded
    Non iniciar kded

--suicide
    Ter

+programas
    executa os programas xestionando os pedidos

programas
    executa os programas sen xestionar os pedidos

UTILIZACIóN

Un xeito habitual de executar este programa é mediante a seguinte orde na liña do ordes kdeinit4 programa ou kdeinit4 +programa

FICHEIROS

/tmp/kde-$USER/kdeinit4_$INSTANCE
    ...

VARIáBEIS DE ENTORNO

$HOME
    Indica o cartafol persoal do usuario actual

$KDE_HOME_READONLY
    Indica se o cartafol persoal do usuario actual é só para lectura

$KDE_IS_PRELINKED
    Se está definida, indícalle a kdeinit4 que os programas de KDE están preligados.

    (O preligar é un proceso que permite acelerar o proceso da ligazón dinámica).

$KDE_DISPLAY
    Se está definida, indícalle a kdeinit4 que se está a executar nun escritorio KDE.

CONSULTE TAMéN

kded, kdekillall

ERROS

Probabelmente haxa moitísimos erros. Use bugs.kde.org[1] para informar deles.

AUTHORS

Waldo Bastian <bastian@kde.org>
    Author.

Mario Weilguni <mweilguni@sime.com>
    Author.

Lubos Lunak <l.lunak@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org